Adjust SDKの古いバージョンの廃止、および廃止スケジュールのお知らせ

各プラットフォームでご使用いただいているAdjustSDKにおいて、間もなく廃止およびサポートを終了するバージョンをお知らせします。Adjustの機能やアップデート、アドフラウド防止機能との互換性を維持するために、最新バージョンのSDKにアップグレードしていただくことを強く推奨します。

「SDKの廃止日」とは

  • 該当するSDKバージョンが廃止される日を指し、新しく登録したアプリに対するSDKの導入が不可能になります。

「サポート終了日」とは 

  • 該当するSDKバージョンのサポートが終了し、そのバージョンに対するサポートが完全に打ち切られる日です。つまり、情報やデータが収集されなくなり、全ての機能が停止します。廃止されたSDKバージョンの使用中に発生した問題につきましても、Adjustはサポートを提供いたしかねますのでご留意ください。
最も多く利用されているSDKバージョンを確認する方法
  1. 該当アプリの下部に表示されている(▲)ボタンを選択します。
  2. その他の設定(All Settings)を選択します。
  3. 「アプリの詳細を表示する」を選択します(最も多く利用されているSDKバージョンが表示されていない場合)
注:「最も多く利用されているSDKバージョン」は、アプリに実装されているAdjust SDKの最新バージョンではない場合があります。その理由は、既存のユーザーが端末上のアプリを自ら更新しない限り、SDKも最新のバージョンにアップグレードされないからです。アプリに実装されたAdjust SDKを更新されていない場合は、「最も多く利用されているSDKバージョン」がアプリのAdjust SDKの最新バージョンになります。

廃止スケジュール

以下のスケジュールをご確認の上、アップグレードの準備を随時行っていただきますようお願いいたします。SDKバージョンが廃止されると、スケジュールを反映して当ページが更新されます。ご利用のプラットフォームのAdjust SDKの最新バージョンにつきましては、こちらをクリックしてください。iOSおよびAndroidでご利用の場合は、最新SDK(v4.21.0) へのアップグレードをお勧めします。 
 
SDKバージョン廃止日サポート終了日
1.0 - 1.62020年4月1日2020年5月15日
2.0 - 2.22020年4月1日2020年5月15日
3.0 - 3.6.22020年7月1日2020年9月30日
4.0 - 4.112020年11月1日2021年3月31日


注:アプリが現在SDK v4.12以降を使用している場合、現時点ではSDKをアップグレードする必要はありません。 


SDKのバージョンを更新する利点

  • サポートが継続されるバージョンのAdjust SDKをご利用いただけます。
  • 既にv4.21.0をご利用の場合、今後提供される新バージョンへのアップグレードがより簡素化されます。
  • Adjustの最新バージョンのSDKに更新いただくと、Adjust Protectの製品ラインに含まれる不正防止やセキュリティオプションなど、古いSDKバージョンにはなかった追加機能がご利用いただけます。 
SDKバージョンのアップグレードに関しまして、ご不明な点やサポートのご要望がありましたら、担当のアカウントマネージャー、またはsupport@adjust.comまでお問い合わせください。

このトピックについて